Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin
Interface ResourceNodeInfo

    public interface ResourceNodeInfo

Interface `ResourceNodeInfo` contains information of a resource node in the server.

Since:
  5.0

Field Summary
`static int` | `FALSE` Deprecated. As of version 6, it does not have effect.
`static byte` | `NODE_FOLDER` Node type: folder
`static byte` | `NODE_RESOURCE` Node type: resource
`static byte` | `NODE_VERSION` Node type: version
`static byte` | `RESOURCE_CATALOG` Resource type: catalog
`static byte` | `RESOURCE_LC` Resource type: library component
`static byte` | `RESOURCE_REPORT` Resource type: report
`static byte` | `RESOURCE_RESULT` Resource type: result
`static int` | `TRUE` Deprecated. As of version 6, it does not have effect.
`static int` | `UNKNOWN` Deprecated. As of version 6, it does not have effect.

Method Summary
`java.lang.String` | `getDescription()` Gets the information which admin described for the node
`java.lang.String` | `getFmtName()` Deprecated. As of version 6, it does not have effect.
`java.lang.String` | `getFullFmtName()` Deprecated. As of version 6, it does not have effect.
`java.lang.String` | `getFullName()` Gets the full name of the node
`java.lang.String` | `getName()` Gets the node's name
`java.lang.String` | `getRealPath()` Gets the real path of the node.
`boolean` | `isCatalog()` Checks if the node is a catalog.
`boolean` | `isDir()` Checks if the node is a file system directory.
`boolean` | `isFile()` Checks if the node is a file system file.
`boolean` | `isHidden()` Checks if the node is unreachable.
`boolean` | `isMapSharedDisk()` Deprecated. As of version 6, it does not have effect.
`boolean` | `isReachableOfSubNodes()` Deprecated. As of version 6, it does not have effect.
`boolean` | `isReport()` Checks if the node is a report.
`boolean` | `isResourceNode()` Deprecated. As of version 6, it does not have effect.
`int` | `reachable()` Deprecated. As of version 6, it does not have effect.

Field Detail

### UNKNOWN

    static final int UNKNOWN

  Deprecated. As of version 6, it does not have effect.
  Reachable property of subnodes: unknown.

  See Also:
    Constant Field Values

### TRUE

    static final int TRUE

  Deprecated. As of version 6, it does not have effect.
  Reachable property of subnodes: reachable.

  See Also:
    Constant Field Values

### FALSE

    static final int FALSE

  Deprecated. As of version 6, it does not have effect.
  Reachable property of subnodes: unreachable.

  See Also:
    Constant Field Values

### NODE_FOLDER

    static final byte NODE_FOLDER

  Node type: folder

  Since:
    version 6
  See Also:
    Constant Field Values

### NODE_RESOURCE

    static final byte NODE_RESOURCE

  Node type: resource

  Since:
    version 6
  See Also:
    Constant Field Values

### NODE_VERSION

    static final byte NODE_VERSION

  Node type: version

  Since:
    version 6
  See Also:
    Constant Field Values

### RESOURCE_CATALOG

    static final byte RESOURCE_CATALOG

  Resource type: catalog

  Since:
    version 6
  See Also:
    Constant Field Values

### RESOURCE_LC

    static final byte RESOURCE_LC

  Resource type: library component

  Since:
    version 10.1
  See Also:
    Constant Field Values

### RESOURCE_REPORT

    static final byte RESOURCE_REPORT

  Resource type: report

  Since:
    version 6
  See Also:
    Constant Field Values

### RESOURCE_RESULT

    static final byte RESOURCE_RESULT

  Resource type: result

  Since:
    version 6
  See Also:
    Constant Field Values

Method Detail

### isResourceNode

    boolean isResourceNode()

  Deprecated. As of version 6, it does not have effect.

  Checks if the node is a resource node of the server resource tree.

  Returns:
    if the node is a resource node of the server resource tree.

### isCatalog

    boolean isCatalog()

  Checks if the node is a catalog.

  Returns:
    if the node is a catalog.

### isDir

    boolean isDir()

  Checks if the node is a file system directory.

  Returns:
    if the node is a file system directory.

### isFile

    boolean isFile()

  Checks if the node is a file system file.

  Returns:
    if the node is a file system file.

### isReport

    boolean isReport()

  Checks if the node is a report.

  Returns:
    if the node is a report.

### isHidden

    boolean isHidden()

  Checks if the node is unreachable.

  Returns:
    if the node is unreachable.

### getRealPath

    java.lang.String getRealPath()

  Gets the real path of the node. For resource nodes only.

  Returns:
    the real path of the specified node.

### isReachableOfSubNodes

    boolean isReachableOfSubNodes()

  Deprecated. As of version 6, it does not have effect.

  Returns if all its virtual directories and files are reachable. For resource nodes only.

  Returns:
    true if all its virtual directories and files are reachable.

### reachable

    int reachable()

  Deprecated. As of version 6, it does not have effect.

  Gets the node if reachable. For virtual nodes only.

  Returns:
    UNKNOWN: It cannot be set to reachable or not.
    TRUE: It is set to reachable.
    FALSE: It is set to not reachable.

### getName

    java.lang.String getName()

  Gets the node's name

  Returns:
    the name of the node

### getFullName

    java.lang.String getFullName()

  Gets the full name of the node

  Returns:
    the full name of the node

### getFmtName

    java.lang.String getFmtName()

  Deprecated. As of version 6, it does not have effect.

  Gets the formatted name of the node

  Returns:
    the formatted name of the node

### getFullFmtName

    java.lang.String getFullFmtName()

  Deprecated. As of version 6, it does not have effect.

  Gets the full formatted name of the node

  Returns:
    the full formatted name of the node

### getDescription

    java.lang.String getDescription()

  Gets the information which admin described for the node

  Returns:
    nothing if admin did not add any information

### isMapSharedDisk

    boolean isMapSharedDisk()

  Deprecated. As of version 6, it does not have effect.

  Checks if the node maps to a shared disk. For resource nodes only.

  Returns:
    if the node maps to a shared disk

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD